Loading...
Searching...
No Matches
Dune::Functions::Experimental Namespace Reference

## Namespaces

namespace | BasisFactory

## Classes

class | SubDomainIndexSet
| An IndexSet for a sub-domain. More...
class | SubDomainGridView
| A GridView for a sub-domain. More...
class | SubDomain
| Class representing a sub-domain of a GridView. More...
class | SubDomainInterface
| Class representing the intersection between two subdomains. More...
class | SubDomainSkeleton
| Class representing the skeleton of a subdomain. More...
class | RestrictedPreBasis
| A pre-basis restricted to a sub-domain. More...
class | TransformedIndexPreBasis
| A pre-basis transforming multi-indices. More...

## Functions

template<class HostGridView>
auto | elements (const SubDomainGridView< HostGridView > &subDomainGridView)
| ADL findable access to element range for a SubDomainGridView.
template<class HostGridView, unsigned int partitions>
auto | elements (const SubDomainGridView< HostGridView > &subDomainGridView, Dune::PartitionSet< partitions > partitionSet)
| ADL findable access to element range for a SubDomainGridView.
template<class HostGridView, class Element>
auto | intersections (const SubDomainGridView< HostGridView > &subDomainGridView, const Element &element)
| ADL findable access to intersection range for an element of a SubDomainGridView.
template<class RPB, class T>
| TransformedIndexPreBasis (RPB &&, T &&) -> TransformedIndexPreBasis< std::decay_t< RPB >, std::decay_t< T > >

## Function Documentation

## TransformedIndexPreBasis()

template<class RPB, class T>

Dune::Functions::Experimental::TransformedIndexPreBasis | ( | RPB && | ,
|  | T && | )->TransformedIndexPreBasis< std::decay_t< RPB >, std::decay_t< T > >